PETSc version 3.15.5
Fix/Edit manual page

# PCReset

Resets a PC context to the pcsetupcalled = 0 state and removes any allocated Vecs and Mats

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  PCReset(PC pc)

Collective on PC

### Input Parameter

| pc | - the preconditioner context

### Notes

This allows a PC to be reused for a different sized linear system but using the same options that have been previously set in the PC

### See Also

PCCreate(), PCSetUp()

### Level

developer

### Location

src/ksp/pc/interface/precon.c

### Implementations

PCReset_ASM in src/ksp/pc/impls/asm/asm.c
PCReset_BDDC in src/ksp/pc/impls/bddc/bddc.c
PCReset_Composite in src/ksp/pc/impls/composite/composite.c
PCReset_CP in src/ksp/pc/impls/cp/cp.c
PCReset_Deflation in src/ksp/pc/impls/deflation/deflation.c
PCReset_Eisenstat in src/ksp/pc/impls/eisens/eisen.c
PCReset_Cholesky in src/ksp/pc/impls/factor/cholesky/cholesky.c
PCReset_ICC in src/ksp/pc/impls/factor/icc/icc.c
PCReset_ILU in src/ksp/pc/impls/factor/ilu/ilu.c
PCReset_LU in src/ksp/pc/impls/factor/lu/lu.c
PCReset_FieldSplit in src/ksp/pc/impls/fieldsplit/fieldsplit.c
PCReset_Galerkin in src/ksp/pc/impls/galerkin/galerkin.c
PCReset_GAMG in src/ksp/pc/impls/gamg/gamg.c
PCReset_GASM in src/ksp/pc/impls/gasm/gasm.c
PCReset_HARA in src/ksp/pc/impls/hara/pchara.cu
PCReset_HPDDM in src/ksp/pc/impls/hpddm/hpddm.cxx
PCReset_HYPRE in src/ksp/pc/impls/hypre/hypre.c
PCReset_Jacobi in src/ksp/pc/impls/jacobi/jacobi.c
PCReset_KSP in src/ksp/pc/impls/ksp/pcksp.c
PCReset_LMVM in src/ksp/pc/impls/lmvm/lmvmpc.c
PCReset_LSC in src/ksp/pc/impls/lsc/lsc.c
PCReset_MG in src/ksp/pc/impls/mg/mg.c
PCReset_ML in src/ksp/pc/impls/ml/ml.c
PCReset_PATCH in src/ksp/pc/impls/patch/pcpatch.c
PCReset_Redundant in src/ksp/pc/impls/redundant/redundant.c
PCReset_SVD in src/ksp/pc/impls/svd/svd.c
PCReset_Telescope in src/ksp/pc/impls/telescope/telescope.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages